NX Open C++ Reference Guide
|
Represents a @link Features::TrimCurve Features::TrimCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateTrimCurveBuilder Features::FeatureCollection::CreateTrimCurveBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Features::TrimCurveBuilder::CurveEndOptions | CurveEndOption () |
Returns the end of the curve that would be trimmed Created in NX5.0.0. | |
NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes | CurveExtensionType () |
Returns the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s) | |
NXOpen::SelectObjectList * | CurveList () |
Returns the list of curves with the pick points Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveOptions * | CurveOptions () |
Returns the Curve Options. | |
NXOpen::Section * | CurvesToTrim () |
Returns the curves to trim Created in NX5.0.0. | |
NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions | CurveTrimRegionOption () |
Returns the portion of the curves to be trimmed. | |
NXOpen::SelectObjectList * | FirstBoundingObject () |
Returns the objects for the first boundary against which the selected curves are to be trimmed. | |
NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions | FirstBoundingObjectEndOption () |
Returns the end of the first bounding object which would be trimmed Created in NX5.0.0. | |
NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions | FirstBoundingObjectOption () |
Returns the first bounding object option Created in NX5.0.0. | |
NXOpen::Point3d | FirstBoundingObjectPickPoint () |
Returns the pick point for the first bounding object. | |
NXOpen::Plane * | FirstBoundingPlane () |
Returns the first bounding object plane Created in NX5.0.0. | |
NXOpen::SelectPoint * | FirstReferenceIntersection () |
Returns the first user defined intersection point. | |
NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions | InteresectionDirectionOption () |
Returns the method the system uses to find object intersections Created in NX5.0.0. | |
NXOpen::Features::TrimCurveBuilder::InteresectionMethods | InteresectionMethod () |
Returns the method to be used to determine the intersections Created in NX5.0.0. | |
NXOpen::Direction * | InteresectionOptionVector () |
Returns the vector direction for the trim operation Created in NX5.0.0. | |
NXOpen::SelectObjectList * | ReverseTrimEnd () |
Returns the curves the end to trim needs to be reversed Created in NX5.0.0. | |
NXOpen::SelectObjectList * | SecondBoundingObject () |
Returns the objects for the second boundary against which the selected curves are to be trimmed. | |
NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions | SecondBoundingObjectEndOption () |
Returns the end of the second bounding object which would be trimmed Created in NX5.0.0. | |
NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions | SecondBoundingObjectOption () |
Returns the second bounding object option Created in NX5.0.0. | |
NXOpen::Point3d | SecondBoundingObjectPickPoint () |
Returns the pick point for the second bounding object. | |
NXOpen::Plane * | SecondBoundingPlane () |
Returns the first bounding object plane Created in NX5.0.0. | |
NXOpen::SelectPoint * | SecondReferenceIntersection () |
Returns the second user defined intersection point. | |
void | SetCurveEndOption (NXOpen::Features::TrimCurveBuilder::CurveEndOptions curveEndOption) |
Sets the end of the curve that would be trimmed Created in NX5.0.0. | |
void | SetCurveExtensionType (NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes curveExtensionType) |
Sets the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s) | |
void | SetCurveTrimRegionOption (NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions curveTrimRegionOption) |
Sets the portion of the curves to be trimmed. | |
void | SetFirstBoundingObjectEndOption (NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions firstBoundingObjectEndOption) |
Sets the end of the first bounding object which would be trimmed Created in NX5.0.0. | |
void | SetFirstBoundingObjectOption (NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions firstBoundingObjectOption) |
Sets the first bounding object option Created in NX5.0.0. | |
void | SetFirstBoundingObjectPickPoint (const NXOpen::Point3d &firstBndgObjPickPoint) |
Sets the pick point for the first bounding object. | |
void | SetFirstBoundingPlane (NXOpen::Plane *firstPlane) |
Sets the first bounding object plane Created in NX5.0.0. | |
void | SetInteresectionDirectionOption (NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions interesectionDirectionOption) |
Sets the method the system uses to find object intersections Created in NX5.0.0. | |
void | SetInteresectionMethod (NXOpen::Features::TrimCurveBuilder::InteresectionMethods interesectionMethod) |
Sets the method to be used to determine the intersections Created in NX5.0.0. | |
void | SetInteresectionOptionVector (NXOpen::Direction *interesectionOptionVector) |
Sets the vector direction for the trim operation Created in NX5.0.0. | |
void | SetSecondBoundingObjectEndOption (NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions secondBoundingObjectEndOption) |
Sets the end of the second bounding object which would be trimmed Created in NX5.0.0. | |
void | SetSecondBoundingObjectOption (NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions secondboundingObjectOption) |
Sets the second bounding object option Created in NX5.0.0. | |
void | SetSecondBoundingObjectPickPoint (const NXOpen::Point3d &secondBndgObjPickPoint) |
Sets the pick point for the second bounding object. | |
void | SetSecondBoundingPlane (NXOpen::Plane *secondPlane) |
Sets the first bounding object plane Created in NX5.0.0. | |
void | SetTrimBoundingObjects (bool trimBoundingObjects) |
Sets the option whether bounding objects are to be trimmed Created in NX5.0.0. | |
bool | TrimBoundingObjects () |
Returns the option whether bounding objects are to be trimmed Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::TrimCurve Features::TrimCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateTrimCurveBuilder Features::FeatureCollection::CreateTrimCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurveEndOption |
Start |
CurveExtensionType |
Natural |
CurveOptions.Associative |
True |
CurveTrimRegionOption |
Inside |
FirstBoundingObjectEndOption |
Start |
FirstBoundingObjectOption | |
InteresectionDirectionOption |
RelativeToWcs |
InteresectionMethod |
Inferred |
SecondBoundingObjectEndOption |
Start |
SecondBoundingObjectOption |
Created in NX5.0.0.
Represents the trim curve interesection direction options.
InteresectionDirectionOptionsShortest3dDistance |
Shortest 3d distance. |
InteresectionDirectionOptionsRelativeToWcs |
Relative to WCS. |
InteresectionDirectionOptionsAlongAVector |
Along a vector. |
InteresectionDirectionOptionsAlongScreenNormal |
Along screen normal. |
NXOpen::Features::TrimCurveBuilder::CurveEndOptions NXOpen::Features::TrimCurveBuilder::CurveEndOption | ( | ) |
Returns the end of the curve that would be trimmed
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes NXOpen::Features::TrimCurveBuilder::CurveExtensionType | ( | ) |
Returns the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s)
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::CurveList | ( | ) |
Returns the list of curves with the pick points
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::TrimCurveBuilder::CurveOptions | ( | ) |
NXOpen::Section* NXOpen::Features::TrimCurveBuilder::CurvesToTrim | ( | ) |
Returns the curves to trim
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOption | ( | ) |
Returns the portion of the curves to be trimmed.
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::FirstBoundingObject | ( | ) |
Returns the objects for the first boundary against which the selected curves are to be trimmed.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOption | ( | ) |
Returns the end of the first bounding object which would be trimmed
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOption | ( | ) |
Returns the first bounding object option
Created in NX5.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectPickPoint | ( | ) |
Returns the pick point for the first bounding object.
Created in NX5.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::TrimCurveBuilder::FirstBoundingPlane | ( | ) |
Returns the first bounding object plane
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::TrimCurveBuilder::FirstReferenceIntersection | ( | ) |
Returns the first user defined intersection point.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOption | ( | ) |
Returns the method the system uses to find object intersections
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::InteresectionMethods NXOpen::Features::TrimCurveBuilder::InteresectionMethod | ( | ) |
Returns the method to be used to determine the intersections
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::TrimCurveBuilder::InteresectionOptionVector | ( | ) |
Returns the vector direction for the trim operation
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::ReverseTrimEnd | ( | ) |
Returns the curves the end to trim needs to be reversed
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::SecondBoundingObject | ( | ) |
Returns the objects for the second boundary against which the selected curves are to be trimmed.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOption | ( | ) |
Returns the end of the second bounding object which would be trimmed
Created in NX5.0.0.
License requirements : None
NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOption | ( | ) |
Returns the second bounding object option
Created in NX5.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectPickPoint | ( | ) |
Returns the pick point for the second bounding object.
Created in NX5.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::TrimCurveBuilder::SecondBoundingPlane | ( | ) |
Returns the first bounding object plane
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::TrimCurveBuilder::SecondReferenceIntersection | ( | ) |
Returns the second user defined intersection point.
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::TrimCurveBuilder::SetCurveEndOption | ( | NXOpen::Features::TrimCurveBuilder::CurveEndOptions | curveEndOption | ) |
Sets the end of the curve that would be trimmed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
curveEndOption | curveendoption |
void NXOpen::Features::TrimCurveBuilder::SetCurveExtensionType | ( | NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes | curveExtensionType | ) |
Sets the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s)
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
curveExtensionType | curveextensiontype |
void NXOpen::Features::TrimCurveBuilder::SetCurveTrimRegionOption | ( | NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions | curveTrimRegionOption | ) |
Sets the portion of the curves to be trimmed.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
curveTrimRegionOption | curvetrimregionoption |
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingObjectEndOption | ( | NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions | firstBoundingObjectEndOption | ) |
Sets the end of the first bounding object which would be trimmed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
firstBoundingObjectEndOption | firstboundingobjectendoption |
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingObjectOption | ( | NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions | firstBoundingObjectOption | ) |
Sets the first bounding object option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
firstBoundingObjectOption | firstboundingobjectoption |
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingObjectPickPoint | ( | const NXOpen::Point3d & | firstBndgObjPickPoint | ) |
Sets the pick point for the first bounding object.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
firstBndgObjPickPoint | firstbndgobjpickpoint |
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingPlane | ( | NXOpen::Plane * | firstPlane | ) |
Sets the first bounding object plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
firstPlane | firstplane |
void NXOpen::Features::TrimCurveBuilder::SetInteresectionDirectionOption | ( | NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions | interesectionDirectionOption | ) |
Sets the method the system uses to find object intersections
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
interesectionDirectionOption | interesectiondirectionoption |
void NXOpen::Features::TrimCurveBuilder::SetInteresectionMethod | ( | NXOpen::Features::TrimCurveBuilder::InteresectionMethods | interesectionMethod | ) |
Sets the method to be used to determine the intersections
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
interesectionMethod | interesectionmethod |
void NXOpen::Features::TrimCurveBuilder::SetInteresectionOptionVector | ( | NXOpen::Direction * | interesectionOptionVector | ) |
Sets the vector direction for the trim operation
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
interesectionOptionVector | interesectionoptionvector |
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingObjectEndOption | ( | NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions | secondBoundingObjectEndOption | ) |
Sets the end of the second bounding object which would be trimmed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
secondBoundingObjectEndOption | secondboundingobjectendoption |
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingObjectOption | ( | NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions | secondboundingObjectOption | ) |
Sets the second bounding object option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
secondboundingObjectOption | secondboundingobjectoption |
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingObjectPickPoint | ( | const NXOpen::Point3d & | secondBndgObjPickPoint | ) |
Sets the pick point for the second bounding object.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
secondBndgObjPickPoint | secondbndgobjpickpoint |
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingPlane | ( | NXOpen::Plane * | secondPlane | ) |
Sets the first bounding object plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
secondPlane | secondplane |
void NXOpen::Features::TrimCurveBuilder::SetTrimBoundingObjects | ( | bool | trimBoundingObjects | ) |
Sets the option whether bounding objects are to be trimmed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
trimBoundingObjects | trimboundingobjects |
bool NXOpen::Features::TrimCurveBuilder::TrimBoundingObjects | ( | ) |
Returns the option whether bounding objects are to be trimmed
Created in NX5.0.0.
License requirements : None